This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444561 - [ml_IN] Conjuncts does not get combined with 0D30 to form the pre based glyph
[ml_IN] Conjuncts does not get combined with 0D30 to form the pre based glyph
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 23:51 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 04:12:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patched ttf file (61.50 KB, application/x-font-ttf)
2008-04-29 06:30 EDT, Rahul Bhalerao
no flags Details

  None (edit)
Description Ani Peter 2008-04-28 23:51:58 EDT
Description of problem:

Conjuncts does not get combined with 0D30 to form the pre based glyph, instead
the conjunct, 0D4D and 0D30 just appear in key sequence. 

How reproducible:
Always

Steps to Reproduce:
1. In gedit, type 0D1A,0D28,0D4D, 0D26, 0D4D, 0D30, 0D28, 0D4D, 200D
  
Actual results:
In the above step, when 0D28,0D4D, 0D26, 0D4D, 0D30 is typed the conjunct formed
using 0D28,0D4D, 0D26 is followed by 0D4D and 0D30. 

Expected results:
In the above step, when 0D28,0D4D, 0D26, 0D4D, 0D30 is typed the conjunct formed
using 0D28,0D4D, 0D26 must have the pre-based glyph that is formed using 0D4D
and 0D30. 

Additional info:
For ref: please see the screehshot on comment #65  on 
https://bugzilla.redhat.com/show_bug.cgi?id=242016
Comment 1 Rahul Bhalerao 2008-04-29 06:30:17 EDT
Created attachment 304094 [details]
A patched ttf file

Ani, this font file has the fix for the reported bug. Could you please test the
same?
Comment 2 Rahul Bhalerao 2008-04-29 08:05:13 EDT
Updated file attached on bug #444563
Comment 3 Ani Peter 2008-04-29 08:06:48 EDT
Rahul: this is  working fine in the updated font

Thanks
Ani
Comment 4 Rahul Bhalerao 2008-04-30 08:27:42 EDT
Fixed in lohit-fonts-malayalam-2.2.1-2.
Comment 5 Ani Peter 2008-05-03 04:10:29 EDT
Rahul,

Just now I have found another error. 

When 0D38 + 0D4D + 0D24 + 0D4D + 0D30 combines the pre based glyph should be
applied for the conjunct 0D38 + 0D4D + 0D24

Thanks
Ani
Comment 6 Rahul Bhalerao 2008-05-05 02:16:49 EDT
Ani, please file another bug for this.
Comment 7 Ani Peter 2008-05-05 02:31:41 EDT
Rahul,

I have reported this issue here as this also falls in the same category of pre
based glyph not forming for conjuncts. There are chances that such some more
glyphs can come up again as some words are come acrossed. So at that time how do
I file bug if its the same type - file new bug? Please advise.

Thanks
Ani
Comment 8 Rahul Bhalerao 2008-05-05 03:07:10 EDT
As changes against this bug have already been committed, it does not make sense
to commit more changes against the same bug. Thus I would suggest collect as
many such cases as possible, and file a new bug, and let this bug be closed. 
Comment 9 Ani Peter 2008-05-05 04:12:27 EDT
New bug filed:

https://bugzilla.redhat.com/show_bug.cgi?id=445176
You may please close this bug

Thanks
Ani

Note You need to log in before you can comment on or make changes to this bug.